<?php

namespace EventPortal\Domain\Table\DataObjects;

use EventPortal\Domain\Field\Models\Field;

class Column
{
    /** @var string */
    public $label;

    /** @var string */
    public $key;

    /** @var mixed */
    public $type;

    public function __construct(Field $field)
    {
        $this->label = $field->label;
        $this->key = $field->name;
        $this->type = $field->type->getValue();
    }
}
