<?php

namespace EventPortal\Exceptions;

use EventPortal\Exceptions\Solutions\NoDefaultConfigSolution;
use Exception;
use Facade\IgnitionContracts\ProvidesSolution;
use Facade\IgnitionContracts\Solution;

class NoDefaultConfig extends Exception implements ProvidesSolution
{
    public function getSolution(): Solution
    {
        return new NoDefaultConfigSolution();
    }
}
